zoo

## Class FreePolyLine

- java.lang.Object
- - zoo.FreePolyLine

-     public class FreePolyLine
      extends java.lang.Object

  Classe PolyLine sans limitation de taille.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreePolyLine()` Constructeur de la PolyLine; initialisation du tableau de Points

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Point p)` Ajout de point
    `boolean` | `contains(Point p)` Vérification de l'existence d'un point dans la liste
    `double` | `pointCapacity()` Renvoie la capacité maximum de linkedList: infinité
    `int` | `pointCount()` Compte le nombre de points dans la liste
    `java.lang.String` | `toString()` Surcharge de toString Affichage du contenu de la liste de points

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FreePolyLine

          public FreePolyLine()

      Constructeur de la PolyLine; initialisation du tableau de Points

  - ### Method Detail

    - #### add

          public boolean add(Point p)

      Ajout de point
      Parameters:
        `p` - point à ajouter
      Returns:
        true/false suivant si le point est inséré

    - #### pointCapacity

          public double pointCapacity()

      Renvoie la capacité maximum de linkedList: infinité
      Returns:
        POSITIVE_INFINITY

    - #### pointCount

          public int pointCount()

      Compte le nombre de points dans la liste
      Returns:
        nombre de points dans la liste

    - #### toString

          public java.lang.String toString()

      Surcharge de toString Affichage du contenu de la liste de points
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        PolyLine{points=...}

    - #### contains

          public boolean contains(Point p)

      Vérification de l'existence d'un point dans la liste
      Parameters:
        `p` - Point à vérifier
      Returns:
        true/false